(*
 ********************************************************
 ********************************************************
 ** copyright 2000 by CFS-Technologies and             **
 ** Chris Schuster from www.csdb.de & www.iqis4u.de    **
 **                                                    **
 ** The Component KeyHot is Freeware, but you may not  **
 ** commercially redistribute this Component and you   **
 ** may not copy or modify this Sourcecode.            **
 ********************************************************
 ********************************************************
 *)
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls, KeyHot;

type
  TForm1 = class(TForm)
    KeyHot1: TKeyHot;
    Button3: TButton;
    StatusBar1: TStatusBar;
    Timer1: TTimer;
    Label1: TLabel;
    procedure Button2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure KeyHot1HotKeyEvent(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.DFM}
var Anzahl:integer;

procedure TForm1.Button2Click(Sender: TObject);
begin
  showmessage('2');
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  //Wird das Programm geschlossen muss(sollte)
  //der Speicher freigeben werden, dies kann
  //mit dem Befehl Stop erreciht werden
  Keyhot1.stop;
end;

procedure TForm1.KeyHot1HotKeyEvent(Sender: TObject);
begin
  //Immer wenn der Hotkey gedrckt wurde
  //zur Anzahl 1 hinzufgen, Timer starten
  //und den Text in der Statusbar ndern
  inc(Anzahl);
  label1.caption := inttostr(Anzahl) + ' gedrckt';
  Timer1.enabled := false;
  Timer1.enabled := true;
  Statusbar1.SimpleText := 'gedrckt';
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Anzahl := 0;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  self.Enabled := false;
  Form2.show;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Statusbar1.SimpleText := '';
  Timer1.enabled := false;
end;

end.
